#include "FXManager.h"
#include "../Globals.h"


CFXManager::CFXManager()
{
	m_iNextHandleE = 1;		
}

unsigned int CFXManager::AddParticleSys(char *filename, vec3f &_position)
{

	// Check file loaded?
	// LoadFile

	CEmitter *em0 = new CEmitter(&m_Pile);
	em0->SetHandle(m_iNextHandleE);
	em0->Init();
	m_ParticleSystems.push_back(em0);

	return m_iNextHandleE++;
}

CEmitter* CFXManager::GetEmitter(unsigned int _handle)
{
	list<CEmitter*>::iterator itter = m_ParticleSystems.begin();

	while( itter != m_ParticleSystems.end() )
	{
		if((*itter)->GetHandle() == _handle)
		{
			return (*itter);
		}
		++itter;
	}
	return NULL;
}

void CFXManager::Update(void * _arg)
{
	
	list<CEmitter*>::iterator itter = m_ParticleSystems.begin();
	while( itter != m_ParticleSystems.end() )
	{
		
		if( ((*itter)->Update(_arg)==0) && ((*itter)->m_DontDestroy) == false)
		{
			(*itter)->Destroy();
			delete (*itter);
			m_ParticleSystems.erase( itter );
			return; 
		}
		++itter;
	}	
}

void CFXManager::RenderAll()
{
	list<CEmitter*>::iterator itterE = m_ParticleSystems.begin();
	vec3f u,r,n;
	
	while( itterE != m_ParticleSystems.end() )
	{		
		(*itterE)->Render();
		++itterE;
	}

}
