#ifndef _CONTROLLER_H_
#define _CONTROLLER_H_

#include "Player.h"
#include "Level.h"
#include "Puck.h"
#include "Collectable.h"
#include "../FX/Particles/CEmitter.h"

#include "../Collisions/Collisions.h"

#define NOCOMETPIECES 16

class CWorldController
{
	public: 
	CPlayer		*m_Player1;
	CPlayer		*m_Player2;
	CLevel		*m_Level;
	CPuck		m_Puck;
	float		m_FPS;

	CEmitter	*m_GP_Emitter;

	bool		m_1UP_AI;
	bool		m_2UP_AI;

	CWorldController();	
	bool Init(CPlayer *_1up, CPlayer *_2up, CLevel *_level);
	int  Update();
	void Render();

};


#endif