#ifndef _PUCK_H_
#define _PUCK_H_

#include "../Objects/Object.h"
#include "../FX/Trails/CTrail.h"


class CPuck : public CObject
{
public:

	col4f		m_BaseColour;
	vec3f		m_Velocity;
	vec3f		m_MaxVelocity;
	CTrailTimed	m_Trail;

	vec3f	GetVel()				{ return m_Velocity; }
	void	SetVel(vec3f &_v)		{ m_Velocity = _v; }


	virtual	bool Init();
			bool Init(vec3f &_pos, col4f &_col);
			void Move(float x, float z);
	virtual	int  Update( void* );
	virtual	bool Destroy();
			void Render(bool _doTrail = true);
};

#endif