#ifndef _MAT4F_H_
#define _MAT4F_H_

class mat4f
{
public:

	float cell[4][4];

	mat4f operator + (mat4f);
	mat4f operator += (mat4f);
	mat4f operator - (mat4f);
	mat4f operator -= (mat4f);
	mat4f operator * (mat4f);
	mat4f operator *= (mat4f);
	mat4f operator * (float);
	mat4f operator *= (float);
	mat4f operator / (float);
	mat4f operator /= (float);
	mat4f operator = (float);
	mat4f operator = (mat4f);
	bool  operator ==(mat4f);

	mat4f( void );
	mat4f( quatf * _param );

	void Set( int column, float n1, float n2, float n3, float n4 );
	mat4f matrix_copy( void );
	mat4f matrix_swap_row( mat4f m, int i, int j );
	mat4f matrix_scale_row( mat4f m, int i, float s );
	mat4f Inverse( void );
	mat4f Transpose( void );
	void CreateRotation(vec3f &_around, float angle);
};
#endif