#ifndef _UDP_SOCKET_H_
#define _UDP_SOCKET_H_

// Using windows libraries - The game is windows based, theoretically it could be something else 
// I think all I need to change is this file and the GLCore ones to set up the app

#include <winsock2.h>
#include <windows.h>

#define PACKET_SIZE (80)

class C_UDPSocket
{
protected:
	SOCKET		m_Socket;
	int			m_SocketAddressSize;
	int			m_Ret;
	sockaddr_in	m_LocalAddress, 
				m_RemoteAddress;
	WSADATA		m_WSData;

public:
	C_UDPSocket();
	~C_UDPSocket();

	int			Init();
	int			SetNonBlocking();
	int			Bind(const int _port);
	int			Send(char *_buffer);
	int			Recieve(char *_buffer);
	void		SetDestAddress(char *_ip, const int _port);
	sockaddr_in GetDestAddress(void);
	//sockaddr_in GetLocalAddress(void);

};


#endif