#ifndef _TEXTURE_H_
#define _TEXTURE_H_

typedef	struct
{
	GLubyte	*imageData;		// Image Data (Up To 32 Bits)
	GLuint	bpp;			// Image Color Depth In Bits Per Pixel
	GLuint	width;			// Image Width
	GLuint	height;			// Image Height
	GLuint	texID;			// Texture ID Used To Select A Texture

} TextureResource;		

class TextureManager
{
public:

	unsigned int		LoadTextureTGA(char* filename);
	unsigned int		LoadTextureBMP(char* filename);

private:

	AUX_RGBImageRec*	LoadBMP(char *Filename);
	bool				LoadTGA(TextureResource *texture, char *filename);
	int					LoadTGANoTR(char *filename);

};

#endif