#ifndef _COLLISIONS_H_
#define _COLLISIONS_H_

#include "../maths/maths.h"

bool SphereSphereSweepInfinite(vec3f &_pos1, vec3f &_pos2, vec3f &_vel1, vec3f &_vel2, float _rad1, float _rad2);
//const bool SphereSphereSweep(const vec3f &Ap,const vec3f &Av,const float ra,const vec3f &Bp,const vec3f &Bv,const float rb,float &u0,float &u1);

const bool SphereSphereDynamicStatic(vec3f &Ap, vec3f &Av, float ra, vec3f &Bp, float rb, vec3f &NewCentre);
const bool SphereSphereSweep(vec3f &Ap, vec3f &Av, float ra, vec3f &Bp, vec3f &Bv, float rb, float &DistAlong);
void BounceSpheres(	vec3f &Ap, 
					vec3f &Av,
					float Amass,
					vec3f &Anv, 
					vec3f &Bp, 
					vec3f &Bv, 
					float Bmass,
					vec3f &Bnv);

#endif