// Timer code http://www.gamedev.net/reference/articles/article753.asp
// Rearranged into a nice class.

// VC++ Win32 C specific code
// compile: cl ftimevc.cpp user32.lib gdi32.lib
// or use or IDE

#include <windows.h> // has qpf and qpc
#include <iostream>

class CTimer
{
	__int64 startclock;  // we want a start time
	double rate_inv;
	double last;

public:
	bool	Init(void);
	double	Time(void);
	double	Tick(void);

};
