#pragma warning(disable:4786)

#ifndef _FX_MAN_H_
#define _FX_MAN_H_

//#include "../Render/CRenderer.h"
#include "../ADT/CStaticList.h"
#include "Particles/CEmitter.h"
#include <list>

enum pmContent
{
	PM_EMITTER	= 0,
	PM_DAEMON	= 1,
	PM_TRAIL	= 2
};

using namespace std;

class CFXManager
{
	
private:

	list<CEmitter*>			m_ParticleSystems; 
	unsigned int			m_iNextHandleE;


	CStaticList<CParticle>	m_Pile;

public:

	CFXManager();

	bool Init()		{ return false; }

	unsigned int	AddParticleSys(char *filename, vec3f &_position);
	CEmitter*		GetEmitter(unsigned int _handle);


	bool			Unload(pmContent _thing, unsigned int _handle);
	bool			UnloadAll();

	void			Update(void * _arg);
	bool			Update(pmContent _thing, unsigned int _handle, void * _arg);

	void			RenderAll();
	void			RenderParticles();
	void			Render(pmContent _thing, unsigned int _handle);

};

#endif