#ifndef _COLLECTABLE_H_
#define _COLLECTABLE_H_

#include "../Objects/Object.h"

enum RainbowColour{Red,Orange,Yellow,Green,Blue,Violet};

#define FLOAT_HEIGHT (0.25f)

class CCometPiece : CObject
{
public:
	
	int m_Timer;
	int m_Speed;
	RainbowColour m_Colour;
	

	virtual bool Init();
	virtual int  Update( void* );
	virtual bool Destroy();

	bool Collect();
	void Render();
};

#endif