#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include "Network/NetSys.h"
#include "Render/Render.h"
#include "Camera/camera.h"
#include "Game/Controller.h"
#include "Game/Player.h"
#include "Game/Level.h"
#include "Core/Timer.h"
//#include "FX/Particles/CEmitter.h"
#include "FX/FXManager.h"


extern CRenderer		g_Renderer; 
extern CNetSys			g_NetSys;
extern CCamera			g_Camera;
extern CTimer			g_Timer;
extern CWorldController g_WorldController;
extern CFXManager		g_FXManager;
extern CPlayer			g_Player1;
extern CPlayer			g_Player2;
extern CLevel			g_Level;


//extern CEmitter			g_Emitter;
//extern CStaticList<CParticle>	g_ParticlePile;


#endif